org.codehaus.plexus.component.discovery

## Class AbstractComponentDiscoverer

- java.lang.Object
- - org.codehaus.plexus.component.discovery.AbstractComponentDiscoverer

All Implemented Interfaces:
  ComponentDiscoverer

Direct Known Subclasses:
  DefaultComponentDiscoverer

    public abstract class AbstractComponentDiscoverer
    extends Object
    implements ComponentDiscoverer

Version:
  $Id: AbstractComponentDiscoverer.java 2665 2005-10-12 05:37:44Z brett $
Author:
  Jason van Zyl, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.discovery.ComponentDiscoverer

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComponentDiscoverer()`

### Method Summary

Methods
`protected abstract ComponentSetDescriptor` `createComponentDescriptors(Reader reader, String source)`
`List` `findComponents(Context context, ClassRealm classRealm)`
`protected abstract String` `getComponentDescriptorLocation()`
`void` `setManager(ComponentDiscovererManager manager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractComponentDiscoverer

    public AbstractComponentDiscoverer()

### Method Detail

#### getComponentDescriptorLocation

    protected abstract String getComponentDescriptorLocation()

#### createComponentDescriptors

    protected abstract ComponentSetDescriptor createComponentDescriptors(Reader reader,
                                                    String source)
                                                                  throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### setManager

    public void setManager(ComponentDiscovererManager manager)

Specified by:
  `setManager` in interface `ComponentDiscoverer`

#### findComponents

    public List findComponents(Context context,
                      ClassRealm classRealm)
                        throws PlexusConfigurationException

Specified by:
  `findComponents` in interface `ComponentDiscoverer`
Throws:
  `PlexusConfigurationException`